=== debian/watch ===
version=3
opts=dversionmangle=s/.*\+//,uversionmangle=s/([abcr]+[1-9])$/~$1/ \
  http://www.python.org/ftp/python/3\.8(\.\d)?/Python-(3\.8[.\dabcr]*)\.tgz
