## python3.8 3.8.6

=== debian/changelog ===
python3.8 (3.8.6-1ubuntu0.2) groovy-security; urgency=medium

  * SECURITY UPDATE: Code execution from content received via HTTP
    - debian/patches/CVE-2020-27619-3.8.patch: no longer call eval() on
      content received via HTTP in Lib/test/multibytecodec_support.py.
    - CVE-2020-27619
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2021-3177-3.8.patch: replace snprintf with Python unicode
      formatting in ctypes param reprs in Lib/ctypes/test/test_parameters.py,
      Modules/_ctypes/callproc.c.
    - CVE-2021-3177
  * Skipping test_idle in riscv64 arch
    - debian/rules: adding test_idle to TEST_EXCLUDES in riscv64 arch due it
      hangs in build time.

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 27 Jan 2021 12:42:20 -0300

python3.8 (3.8.6-1) unstable; urgency=medium

  * Python 3.8.6 release.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Sep 2020 11:36:53 +0200

python3.8 (3.8.6~rc1-2) unstable; urgency=medium

  * Work around issue #41760, build the docs with sphinx 3.2.1.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Sep 2020 12:42:51 +0200

python3.8 (3.8.6~rc1-1) unstable; urgency=medium

  * Python 3.8.6 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2020 11:37:32 +0200

python3.8 (3.8.5-2) unstable; urgency=medium

  * Don't build with system mpdecimal, which will be updated to 2.5,
    not compatible with Python 3.8.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2020 17:09:07 +0200
