=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.8
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -9,7 +10,8 @@
   zlib1g-dev, libbz2-dev, liblzma-dev,
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
-  libexpat1-dev, libmpdec-dev (>= 2.4),
+  libexpat1-dev,
+#  libmpdec-dev (>= 2.4),
   libbluetooth-dev [linux-any] <!pkg.python3.8.nobluetooth>,
   locales-all,
   libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
