## python3.8 3.8.7

=== debian/changelog ===
python3.8 (3.8.7-1) unstable; urgency=medium

  * Python 3.8.7 release.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Dec 2020 11:37:26 +0100

python3.8 (3.8.7~rc1-1) unstable; urgency=medium

  * Python 3.8.7 release candidate 1.
  * Bump standards and debhelper versions.
  * Don't expect the test_ttk_textonly test to pass.
  * Add python3-tk test dependency for the failing-tests* autopkg tests.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 13:38:52 +0100
