=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python3.8
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
+Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
   libreadline-dev, libncursesw5-dev (>= 5.3), 
@@ -20,7 +19,7 @@
   net-tools, xvfb <!nocheck>, xauth <!nocheck>,
   systemtap-sdt-dev
 Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3/tree/python3.8
 Vcs-Git: https://salsa.debian.org/cpython-team/python3.git -b python3.8
 XS-Testsuite: autopkgtest
