## python3.8 3.8.10

=== debian/changelog ===
python3.8 (3.8.10-0ubuntu1~20.04.18) focal-security; urgency=medium

  * SECURITY UPDATE: urlparse does not flag hostname with square brackets
    as incorrect
    - debian/patches/CVE-2025-0938-pre1.patch: Removed.
    - debian/patches/CVE-2025-0938-pre2.patch: Removed.
    - debian/patches/add-support-for-scoped-IPv6-addresses.patch: Add
      support for scoped IPv6 addresses.
    - debian/patches/CVE-2025-0938.patch: Updated.
    - CVE-2025-0938

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 18 Mar 2025 21:04:55 +0100

python3.8 (3.8.10-0ubuntu1~20.04.17) focal-security; urgency=medium

  * SECURITY REGRESSION: IPv6 parsing issue (LP: #2103454)
    - debian/patches/CVE-2025-0938*.patch: Disable patches until further
      investigation

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Mar 2025 15:35:05 -0400

python3.8 (3.8.10-0ubuntu1~20.04.16) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect quoting in venv module
    - debian/patches/CVE-2024-9287.patch: Updated to fix additional
      quotes in activation scripts Lib/venv/scripts/common/activate,
      Lib/venv/scripts/posix/activate.csh, and
      Lib/venv/scripts/posix/activate.fish.
    - CVE-2024-9287
  * SECURITY UPDATE: urlparse does not flag hostname with square brackets
    as incorrect
    - debian/patches/CVE-2025-0938-pre1.patch: Remove urlsplit()
      optimization for 'http' prefixed inputs.
    - debian/patches/CVE-2025-0938-pre2.patch: Fix urlparse() with numeric
      paths.
    - debian/patches/CVE-2025-0938.patch: Refreshed. It has together with
      the pre patches the intended effect now.
    - CVE-2025-0938

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 11 Mar 2025 18:45:31 +0100

python3.8 (3.8.10-0ubuntu1~20.04.15) focal-security; urgency=medium

  * SECURITY UPDATE: urlparse does not flag hostname with square brackets
    as incorrect
    - debian/patches/CVE-2025-0938.patch: disallow square brackets in
      domain names for parsed URLs in Lib/test/test_urlparse.py,
      Lib/urllib/parse.py.
    - CVE-2025-0938

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Feb 2025 10:02:54 -0500

python3.8 (3.8.10-0ubuntu1~20.04.14) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect validation of bracketed hosts
    - debian/patches/CVE-2024-11168.patch: add checks to ensure that
      bracketed hosts found by urlsplit are of IPv6 or IPvFuture format in
      Lib/urllib/parse.py, Lib/test/test_urlparse.py.
    - CVE-2024-11168

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Jan 2025 09:40:23 -0500

python3.8 (3.8.10-0ubuntu1~20.04.13) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect quoting in venv module
    - debian/patches/CVE-2024-9287.patch: quote template strings in venv
      activation scripts in Lib/test/test_venv.py, Lib/venv/__init__.py,
      Lib/venv/scripts/common/activate, Lib/venv/scripts/nt/activate.bat,
      Lib/venv/scripts/posix/activate.csh,
      Lib/venv/scripts/posix/activate.fish.
    - CVE-2024-9287

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Nov 2024 08:10:47 -0500

python3.8 (3.8.10-0ubuntu1~20.04.12) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect special character parsing in email module
    - debian/patches/CVE-2023-27043.patch: reject malformed addresses in
      Doc/library/email.utils.rst, Lib/email/utils.py,
      Lib/test/test_email/test_email.py.
    - CVE-2023-27043
  * SECURITY UPDATE: ReDoS via specifically-crafted tar archives
    - debian/patches/CVE-2024-6232.patch: remove backtracking when parsing
      tarfile headers in Lib/tarfile.py, Lib/test/test_tarfile.py.
    - CVE-2024-6232
  * SECURITY UPDATE: header injection via newlines in email module
    - debian/patches/CVE-2024-6923.patch: encode newlines in headers, and
      verify headers are sound in Doc/library/email.errors.rst,
      Doc/library/email.policy.rst, Lib/email/_header_value_parser.py,
      Lib/email/_policybase.py, Lib/email/errors.py,
      Lib/email/generator.py, Lib/test/test_email/test_generator.py,
      Lib/test/test_email/test_policy.py.
    - CVE-2024-6923
  * SECURITY UPDATE: resource consumption via cookie parsing
    - debian/patches/CVE-2024-7592.patch: fix quadratic complexity in
      parsing quoted cookie values with backslashes in Lib/http/cookies.py,
      Lib/test/test_http_cookies.py.
    - CVE-2024-7592
  * SECURITY UPDATE: infinite loop via crafted zip archive
    - debian/patches/CVE-2024-8088.patch: sanitize names in zipfile.Path in
      Lib/test/test_zipfile/_path/test_path.py,
      Lib/zipfile/_path/__init__.py.
    - CVE-2024-8088

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Sep 2024 12:02:53 -0400

python3.8 (3.8.10-0ubuntu1~20.04.11) focal-security; urgency=medium

  * SECURITY UPDATE: race condition in ssl.SSLContext methods
    - debian/patches/CVE-2024-0397.patch: fix locking in cert_store_stats
      and get_ca_certs in Modules/_ssl.c.
    - CVE-2024-0397
  * SECURITY UPDATE: is_private and is_global mismatch
    - debian/patches/CVE-2024-4032.patch: fix "private" (non-global) IP
      address ranges in Doc/library/ipaddress.rst, Lib/ipaddress.py,
      Lib/test/test_ipaddress.py.
    - CVE-2024-4032

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Jul 2024 13:02:10 -0400

python3.8 (3.8.10-0ubuntu1~20.04.10) focal-security; urgency=medium

  * SECURITY UPDATE: incorrect permission assignment
    - debian/patches/CVE-2023-6597.patch: fix symlink bug in cleanup.
    - CVE-2023-6597
  * SECURITY UPDATE: zipbomb DoS attack
    - debian/patches/CVE-2024-0450.patch: raise BadZipFile when trying
      to read an entry that overlaps with other entry or central
      directory.
    - CVE-2024-0450

 -- Allen Huang <allen.huang@canonical.com>  Mon, 25 Mar 2024 10:42:49 +0000

python3.8 (3.8.10-0ubuntu1~20.04.9) focal-security; urgency=medium

  * SECURITY UPDATE: TLS handshake bypass

