=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.8
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -10,7 +11,7 @@
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
   libexpat1-dev,
-#  libmpdec-dev (>= 2.4),
+  libmpdec-dev (>= 2.4),
   libbluetooth-dev [linux-any] <!pkg.python3.8.nobluetooth>,
   locales-all,
   libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
@@ -47,6 +48,7 @@
 Priority: optional
 Depends: python3.8 (= ${binary:Version}),
  python-pip-whl (>= 8.1.0-2), ${shlibs:Depends}, ${misc:Depends},
+ python3.8-distutils,
 Breaks: python3-pip (<< 1.5.6-4)
 Description: Interactive high-level object-oriented language (pyvenv binary, version 3.8)
  Python is a high-level, interactive, object-oriented language. Its 3.8 version
@@ -229,3 +231,31 @@
  - Debug information for standard python extensions.
  .
  See the README.debug for more information.
+
+Package: python3.8-full
+Architecture: any
+Multi-Arch: allowed
+Depends: python3.8 (= ${binary:Version}),
+  libpython3.8-testsuite,
+  python3.8-venv (= ${binary:Version}),
+  idle-python3.8,
+  python3.8-distutils,
+  python3.8-gdbm,
+  python3.8-lib2to3,
+  python3.8-tk,
+  ca-certificates,
+  ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3.8-doc, python3.8-examples,
+Suggests: python3.8-dev
+Description: Python Interpreter with complete class library (version 3.8)
+ Python, the high-level, interactive object oriented language,
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
+ .
+ This package is a dependency package, which depends on the full
+ standard library of Python for Python developers. Including modules
+ used only at build-time, such as venv and distutils, and modules with
+ complex dependencies, such as tk and IDLE. All batteries included.
+ .
+ According to the Debian Python policy, this package must not be used in
+ build dependencies, dependencies and recommendations.
